Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class FlushingStreamWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              org.codehaus.groovy.runtime.FlushingStreamWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class FlushingStreamWriter

extends OutputStreamWriter

Stream writer which flushes after each write operation.

Author:
  Guillaume Laforge

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`FlushingStreamWriter(OutputStream out)`

Method Summary
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.io.OutputStreamWriter
`close, flush, getEncoding`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlushingStreamWriter

    public FlushingStreamWriter(OutputStream out)

Method Detail

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStreamWriter`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `OutputStreamWriter`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStreamWriter`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD